This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 534341 - (RHQ-1147) Support mod_jk (master task)
Support mod_jk (master task)
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
1.2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Task
Depends On: RHQ-1151 RHQ-1152 RHQ-1153 RHQ-1154 RHQ-1155
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-20 03:40 EST by Heiko W. Rupp
Modified: 2014-09-22 09:11 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-22 09:11:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
mod_jk.spec (1.76 KB, text/plain)
2011-12-19 05:41 EST, Christoph Brill
no flags Details

  None (edit)
Description Heiko W. Rupp 2008-11-20 03:40:00 EST
We need to support mod_jk within httpd.

This is the umbrella task for individual features.
Comment 1 Red Hat Bugzilla 2009-11-10 15:24:55 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1147
Comment 2 wes hayutin 2010-02-16 10:44:54 EST
mass move off the qa triage list.  These are tasks for dev.
Comment 3 Corey Welton 2010-08-18 11:21:00 EDT
Charles, what's the current priority of this and all of the associated bugs blocking this tracker?
Comment 4 Christoph Brill 2011-12-19 05:41:38 EST
Created attachment 548540 [details]
mod_jk.spec

Attached is a spec file to build an rpm for mod_jk. It's my very first spec file so please forgive any errors I made.

It basically tries to do the same stuff as the Gentoo ebuild does (see http://cgit.freedesktop.org/~cbrill/egore911-overlay/plain/www-apache/mod_jk/mod_jk-1.2.32.ebuild?id=6a00b5ab2f4d52bbb20284a5cd00d10c9f55fe77 )

It works on Fedora 16 (x86_64) and needs the following 2 files (which basically only work as examples):

http://cgit.freedesktop.org/~cbrill/egore911-overlay/plain/www-apache/mod_jk/files/88_mod_jk.conf?id=6a00b5ab2f4d52bbb20284a5cd00d10c9f55fe77

http://cgit.freedesktop.org/~cbrill/egore911-overlay/plain/www-apache/mod_jk/files/jk-workers.properties?id=6a00b5ab2f4d52bbb20284a5cd00d10c9f55fe77
Comment 5 Jay Shaughnessy 2014-05-02 16:26:53 EDT
Still relevant?
Comment 6 Heiko W. Rupp 2014-09-22 09:11:55 EDT
These feature requests for mo_jk related work is obsolete a) with as7-plugin and b) mod_cluster. Closing the BZ

Note You need to log in before you can comment on or make changes to this bug.